AOZ Studio Beta - Bug #574

Border type 0 ignores colours.
11/16/2020 08:42 PM - Paul Kitching

Status: Closed Start date: 11/16/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: Beta RC4

Description

The border command should have types from 1 to 16, but if you use type 0 it ignores the colours.
This gives a white paper, with black pen:

#manifest: "aoz"

wind open 4,1,1,20,10,1
border 0,4,5

wait key

If you change the 0 to a 1 it shows the correct colours of green and red.
AMOS Pro takes the 0 as a 1, but AOZ should give an error, or assume a 1 and use the colours.

History

#1 - 11/17/2020 02:00 AM - Francois Lionet

- Status changed from New to Resolved

Fixed. But on the contrary of AMOS, Border 0 will NOT display "Border 1" but a blank border.

#2 - 09/19/2021 06:15 PM - Paul Kitching

- Status changed from Resolved to Closed
